org.apache.http.conn

## Interface HttpConnectionFactory<T,C extends org.apache.http.HttpConnection>

- All Known Implementing Classes:
    ManagedHttpClientConnectionFactory

      public interface HttpConnectionFactory<T,C extends org.apache.http.HttpConnection>

  Generic `HttpConnection` factory.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `create(T route, org.apache.http.config.ConnectionConfig config)`

- - ### Method Detail

    - #### create

          C create(T route,
                 org.apache.http.config.ConnectionConfig config)

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.